package com.ssm.manage.entity;

public class DcmyException extends Exception{
    /**
     * 错误码
     */
    private String code;

    /**
     * 错误消息
     */
    private String message;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public DcmyException(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public DcmyException(String message, Throwable cause, String code, String message1) {
        super(message, cause);
        this.code = code;
        this.message = message1;
    }
}
